Subject: [PATCH] Update rofi to 1.6.0.

From: Gabriel Arazas <[email-masked]>
Date: Sun, 13 Sep 2020 21:54:32 +0800

I don't know if this is currently being updated by someone else. I've 
searched the Debbugs issue tracker for this before completing this but 
better be done than nothing, I guess.

There is an attached patch that updates rofi to 1.6.0 as released at 
least a week ago ( https://github.com/davatorium/rofi/releases/tag/1.6.0 ).

I've tested the build with the latest features (e.g., custom mode 
scripts, initial media support) and it is working so far on my end.

>From 9199caf17c4112fb6e1c8a12977052cfb2265f83 Mon Sep 17 00:00:00 2001
From: Gabriel Arazas <[email-masked]>
Date: Sun, 13 Sep 2020 21:39:12 +0800
Subject: [PATCH] gnu: rofi: Update to 1.6.0.

* gnu/packages/xdisorg.scm (rofi): Update to 1.6.0.
[inputs]: Add libjpeg-turbo.
---
 gnu/packages/xdisorg.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xdisorg.scm b/gnu/packages/xdisorg.scm
index 50cde39e81..44f903ccb0 100644
--- a/gnu/packages/xdisorg.scm
+++ b/gnu/packages/xdisorg.scm
@@ -39,6 +39,7 @@
 ;;; Copyright © 2020 Alex McGrath <[email-masked]>
 ;;; Copyright © 2020 Ivan Kozlov <[email-masked]>
 ;;; Copyright © 2020 Brett Gilio <[email-masked]>
+;;; Copyright © 2020 Gabriel Arazas <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1453,7 +1454,7 @@ connectivity of the X server running on a particular @code{DISPLAY}.")
 (define-public rofi
   (package
     (name "rofi")
-    (version "1.5.4")
+    (version "1.6.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://github.com/DaveDavenport/rofi/"
@@ -1461,13 +1462,14 @@ connectivity of the X server running on a particular @code{DISPLAY}.")
                                   version "/rofi-" version ".tar.xz"))
               (sha256
                (base32
-                "1nslmyqyzhfr4hxd4llqkkkb8ap8apkdna32rllvar7r576059ci"))))
+                "0566b499lbpfb1gk4p17iw78ywmk9l2jww1kqjbdanrl22hai1y4"))))
     (build-system gnu-build-system)
     (inputs
      `(("pango" ,pango)
        ("cairo" ,cairo)
        ("glib" ,glib)
        ("startup-notification" ,startup-notification)
+       ("libjpeg" ,libjpeg-turbo)
        ("librsvg" ,librsvg)
        ("libxkbcommon" ,libxkbcommon)
        ("libxcb" ,libxcb)
-- 
2.28.0